# List Job Results

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"List Job Results"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v2/workspaces/{workspace_id}/jobs/{job_id}/results"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Returns job results.

In addition to the job result's own fields, 'select' also accepts 'query_id' and 'result_id' —
values extracted from the underlying pipeline response for the result's first answer. These aren't
real columns: they're only available through 'select', not on a full (unselected) response, and they
can be 'null' if the query failed or produced no answer.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"in":"path","name":"job_id","required":true,"schema":{"format":"uuid","title":"Job Id","type":"string"}},{"description":"Type the id of the workspace.","in":"path","name":"workspace_id","required":true,"schema":{"description":"Type the id of the workspace.","format":"uuid","title":"Workspace Id","type":"string"}},{"description":"The number of entries to display. Leaving this field empty keeps the default, and max 10 results are returned.","in":"query","name":"limit","required":false,"schema":{"default":10,"description":"The number of entries to display. Leaving this field empty keeps the default, and max 10 results are returned.","maximum":100,"title":"Limit","type":"integer"}},{"description":"Enter an ID if you want to see all entries before this ID. To use this option, clear the `page_number` parameter first.","in":"query","name":"before","required":false,"schema":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"description":"Enter an ID if you want to see all entries before this ID. To use this option, clear the `page_number` parameter first.","title":"Before"}},{"description":"Enter an ID if you want to see all entries after this ID. To use this option, clear the `page_number` parameter first.","in":"query","name":"after","required":false,"schema":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"description":"Enter an ID if you want to see all entries after this ID. To use this option, clear the `page_number` parameter first.","title":"After"}},{"description":"The number of the page you want to see.","in":"query","name":"page_number","required":false,"schema":{"anyOf":[{"minimum":1,"type":"integer"},{"type":"null"}],"description":"The number of the page you want to see.","title":"Page Number"}},{"description":"The name of the entity you want to sort by.<br/><br/>Supported values:<ul><li>`absolute_query_index`</li><li>`answer`</li><li>`context`</li><li>`created_at`</li><li>`file`</li><li>`group_name`</li><li>`prompt`</li><li>`query`</li><li>`query_index`</li><li>`query_label`</li></ul>","in":"query","name":"field","required":false,"schema":{"default":"query_index","description":"The name of the entity you want to sort by.<br/><br/>Supported values:<ul><li>`absolute_query_index`</li><li>`answer`</li><li>`context`</li><li>`created_at`</li><li>`file`</li><li>`group_name`</li><li>`prompt`</li><li>`query`</li><li>`query_index`</li><li>`query_label`</li></ul>","enum":["query","answer","prompt","context","file","group_name","query_label","created_at","query_index","absolute_query_index"],"title":"Field","type":"string"}},{"description":"Choose how you want to sort the results.","in":"query","name":"order","required":false,"schema":{"default":"ASC","description":"Choose how you want to sort the results.","enum":["ASC","DESC"],"title":"Order","type":"string"}},{"description":"Partial implementation of the OData $select operator. It currently only supports selecting fields from the root entity or a child entity. Selecting fields from children's children is not supported. If you use this parameter, the API answer is always a flat list of distinct JSON objects with the selected properties, for example, '[{\"given_name\": \"user1\", \"user_id\": \"...\"}, ...]' for 'select=created_by/given_name, created_by/user_id'. The results are ordered by the first selected attribute. To learn more about the OData filter syntax, see: [Querying Data](https://www.odata.org/getting-started/basic-tutorial/#queryData).","in":"query","name":"select","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Partial implementation of the OData $select operator. It currently only supports selecting fields from the root entity or a child entity. Selecting fields from children's children is not supported. If you use this parameter, the API answer is always a flat list of distinct JSON objects with the selected properties, for example, '[{\"given_name\": \"user1\", \"user_id\": \"...\"}, ...]' for 'select=created_by/given_name, created_by/user_id'. The results are ordered by the first selected attribute. To learn more about the OData filter syntax, see: [Querying Data](https://www.odata.org/getting-started/basic-tutorial/#queryData).","title":"Select"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"properties":{"data":{"items":{"anyOf":[{"properties":{"absolute_query_index":{"title":"Absolute Query Index","type":"integer"},"answer":{"title":"Answer","type":"string"},"context":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Context"},"created_at":{"format":"date-time","title":"Created At","type":"string"},"duration":{"title":"Duration","type":"number"},"error":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Error"},"failed":{"title":"Failed","type":"boolean"},"file":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"File"},"filters":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Filters"},"group_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Group Name"},"job_result_id":{"format":"uuid","title":"Job Result Id","type":"string"},"no_answer":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"No Answer"},"params":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Params"},"prompt":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Prompt"},"prompts":{"anyOf":[{"additionalProperties":{"type":"string"},"type":"object"},{"type":"null"}],"title":"Prompts"},"query":{"title":"Query","type":"string"},"query_index":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Query Index"},"query_label":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Query Label"},"response":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Response"}},"required":["job_result_id","query","filters","params","answer","prompt","prompts","context","file","no_answer","response","duration","query_index","absolute_query_index","query_label","group_name","failed","error","created_at"],"title":"JobResultResponse","type":"object"},{"additionalProperties":true,"description":"A partial job result row, as returned when the request uses `select`.","title":"JobResultSelectResult","type":"object"}]},"title":"Data","type":"array"},"has_more":{"title":"Has More","type":"boolean"},"total":{"title":"Total","type":"integer"}},"required":["data","has_more","total"],"title":"PaginatedJobResults","type":"object"}}},"description":"Successful Response"},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
